bv_maker can fail if configuration is done through a symlink

05/05/2011 06:13 PM - Cointepas, Yann

Status: Closed Start date: 05/05/2011

Priority: Normal Due date:  

Assignee: Cointepas, Yann % Done: 0%

Category:  Estimated time: 0:00 hour

Target version: brainvisa-4.6 Spent time: 0:00 hour

Resolution:    

Description

Using a build directory containing a symlink to the actual build-directory can make configuration fail.

When testing if a share directory should be removed, there is a comparison between two directories that can be different only

because a symlink was used in a previous configuration. In that case brainvisa-cmake shoot himself in the foot by removing a

directory that is necessary for configuration.

History

#1 - 31/07/2015 03:51 PM - Cointepas, Yann

- Target version changed from development-trunk to brainvisa-4.5

#2 - 31/07/2015 04:08 PM - Cointepas, Yann

- Assignee set to Cointepas, Yann

#3 - 03/08/2015 11:18 AM - Cointepas, Yann

- Target version changed from brainvisa-4.5 to brainvisa-4.6

#4 - 26/09/2017 03:45 PM - Riviere, Denis

- Status changed from New to Closed
